Create a tax rate
curl --request POST \
--url https://api.breezing.io/v1/taxes \
--header 'Content-Type: application/json' \
--data '
{
"name": "VAT 8.1%",
"rate": "8.1",
"components": [
{
"name": "State tax",
"rate": "6.25",
"isCompound": true
}
],
"description": "<string>",
"xeroTaxType": "<string>",
"qboTaxCode": "<string>",
"vatGlAccount": "<string>",
"outputVatGlAccount": "<string>"
}
'import requests
url = "https://api.breezing.io/v1/taxes"
payload = {
"name": "VAT 8.1%",
"rate": "8.1",
"components": [
{
"name": "State tax",
"rate": "6.25",
"isCompound": True
}
],
"description": "<string>",
"xeroTaxType": "<string>",
"qboTaxCode": "<string>",
"vatGlAccount": "<string>",
"outputVatGlAccount": "<string>"
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
name: 'VAT 8.1%',
rate: '8.1',
components: [{name: 'State tax', rate: '6.25', isCompound: true}],
description: '<string>',
xeroTaxType: '<string>',
qboTaxCode: '<string>',
vatGlAccount: '<string>',
outputVatGlAccount: '<string>'
})
};
fetch('https://api.breezing.io/v1/taxes', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.breezing.io/v1/taxes",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'name' => 'VAT 8.1%',
'rate' => '8.1',
'components' => [
[
'name' => 'State tax',
'rate' => '6.25',
'isCompound' => true
]
],
'description' => '<string>',
'xeroTaxType' => '<string>',
'qboTaxCode' => '<string>',
'vatGlAccount' => '<string>',
'outputVatGlAccount' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.breezing.io/v1/taxes"
payload := strings.NewReader("{\n \"name\": \"VAT 8.1%\",\n \"rate\": \"8.1\",\n \"components\": [\n {\n \"name\": \"State tax\",\n \"rate\": \"6.25\",\n \"isCompound\": true\n }\n ],\n \"description\": \"<string>\",\n \"xeroTaxType\": \"<string>\",\n \"qboTaxCode\": \"<string>\",\n \"vatGlAccount\": \"<string>\",\n \"outputVatGlAccount\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.breezing.io/v1/taxes")
.header("Content-Type", "application/json")
.body("{\n \"name\": \"VAT 8.1%\",\n \"rate\": \"8.1\",\n \"components\": [\n {\n \"name\": \"State tax\",\n \"rate\": \"6.25\",\n \"isCompound\": true\n }\n ],\n \"description\": \"<string>\",\n \"xeroTaxType\": \"<string>\",\n \"qboTaxCode\": \"<string>\",\n \"vatGlAccount\": \"<string>\",\n \"outputVatGlAccount\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.breezing.io/v1/taxes")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Content-Type"] = 'application/json'
request.body = "{\n \"name\": \"VAT 8.1%\",\n \"rate\": \"8.1\",\n \"components\": [\n {\n \"name\": \"State tax\",\n \"rate\": \"6.25\",\n \"isCompound\": true\n }\n ],\n \"description\": \"<string>\",\n \"xeroTaxType\": \"<string>\",\n \"qboTaxCode\": \"<string>\",\n \"vatGlAccount\": \"<string>\",\n \"outputVatGlAccount\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"success": true,
"data": {
"id": 123,
"name": "<string>",
"rate": "<string>",
"components": [
{
"name": "State tax",
"rate": "6.25",
"isCompound": true
}
],
"description": "<string>",
"xeroTaxType": "<string>",
"qboTaxCode": "<string>",
"vatGlAccount": "<string>",
"outputVatGlAccount": "<string>",
"isArchived": true,
"createdAt": 123,
"updatedAt": 123
}
}{
"success": false,
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"success": false,
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"success": false,
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"success": false,
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"success": false,
"error": {
"code": "<string>",
"message": "<string>"
}
}Tax Rates
Create Tax Rate API
Create a tax rate in Breezing as a single percentage or a stack of components, such as state, county, and city sales tax.
POST
/
taxes
Create a tax rate
curl --request POST \
--url https://api.breezing.io/v1/taxes \
--header 'Content-Type: application/json' \
--data '
{
"name": "VAT 8.1%",
"rate": "8.1",
"components": [
{
"name": "State tax",
"rate": "6.25",
"isCompound": true
}
],
"description": "<string>",
"xeroTaxType": "<string>",
"qboTaxCode": "<string>",
"vatGlAccount": "<string>",
"outputVatGlAccount": "<string>"
}
'import requests
url = "https://api.breezing.io/v1/taxes"
payload = {
"name": "VAT 8.1%",
"rate": "8.1",
"components": [
{
"name": "State tax",
"rate": "6.25",
"isCompound": True
}
],
"description": "<string>",
"xeroTaxType": "<string>",
"qboTaxCode": "<string>",
"vatGlAccount": "<string>",
"outputVatGlAccount": "<string>"
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
name: 'VAT 8.1%',
rate: '8.1',
components: [{name: 'State tax', rate: '6.25', isCompound: true}],
description: '<string>',
xeroTaxType: '<string>',
qboTaxCode: '<string>',
vatGlAccount: '<string>',
outputVatGlAccount: '<string>'
})
};
fetch('https://api.breezing.io/v1/taxes', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.breezing.io/v1/taxes",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'name' => 'VAT 8.1%',
'rate' => '8.1',
'components' => [
[
'name' => 'State tax',
'rate' => '6.25',
'isCompound' => true
]
],
'description' => '<string>',
'xeroTaxType' => '<string>',
'qboTaxCode' => '<string>',
'vatGlAccount' => '<string>',
'outputVatGlAccount' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.breezing.io/v1/taxes"
payload := strings.NewReader("{\n \"name\": \"VAT 8.1%\",\n \"rate\": \"8.1\",\n \"components\": [\n {\n \"name\": \"State tax\",\n \"rate\": \"6.25\",\n \"isCompound\": true\n }\n ],\n \"description\": \"<string>\",\n \"xeroTaxType\": \"<string>\",\n \"qboTaxCode\": \"<string>\",\n \"vatGlAccount\": \"<string>\",\n \"outputVatGlAccount\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.breezing.io/v1/taxes")
.header("Content-Type", "application/json")
.body("{\n \"name\": \"VAT 8.1%\",\n \"rate\": \"8.1\",\n \"components\": [\n {\n \"name\": \"State tax\",\n \"rate\": \"6.25\",\n \"isCompound\": true\n }\n ],\n \"description\": \"<string>\",\n \"xeroTaxType\": \"<string>\",\n \"qboTaxCode\": \"<string>\",\n \"vatGlAccount\": \"<string>\",\n \"outputVatGlAccount\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.breezing.io/v1/taxes")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Content-Type"] = 'application/json'
request.body = "{\n \"name\": \"VAT 8.1%\",\n \"rate\": \"8.1\",\n \"components\": [\n {\n \"name\": \"State tax\",\n \"rate\": \"6.25\",\n \"isCompound\": true\n }\n ],\n \"description\": \"<string>\",\n \"xeroTaxType\": \"<string>\",\n \"qboTaxCode\": \"<string>\",\n \"vatGlAccount\": \"<string>\",\n \"outputVatGlAccount\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"success": true,
"data": {
"id": 123,
"name": "<string>",
"rate": "<string>",
"components": [
{
"name": "State tax",
"rate": "6.25",
"isCompound": true
}
],
"description": "<string>",
"xeroTaxType": "<string>",
"qboTaxCode": "<string>",
"vatGlAccount": "<string>",
"outputVatGlAccount": "<string>",
"isArchived": true,
"createdAt": 123,
"updatedAt": 123
}
}{
"success": false,
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"success": false,
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"success": false,
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"success": false,
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"success": false,
"error": {
"code": "<string>",
"message": "<string>"
}
}Query Parameters
Body
application/json
Chart account CODE for the input VAT line: the native invoice accrual journal and OUT transaction rows (purchases) naming the rate. Null clears. Once the company has a chart of accounts, a rate above 0 needs at least one of vatGlAccount / outputVatGlAccount and every code must exist in the chart (400 otherwise).
Maximum string length:
100Last modified on November 13, 2026